{
  inputs,
  outputs,
  pkgs,
  ...
}:

{
  imports = [
    inputs.synix.homeModules.common
    inputs.synix.homeModules.hyprland
    inputs.synix.homeModules.nixvim
    inputs.synix.homeModules.stylix
  ];

  home.username = "test-user";

  programs.nixvim.enable = true;

  wayland.windowManager.hyprland = {
    enable = true;
    autostart = true;
  };

  stylix.enable = true;
  stylix.scheme = "generate-from-image";
  stylix.image = ./wallpaper.png;

  home.stateVersion = "25.11";
}
